import {
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
  axisBottom,
  format
} from 'd3';

const titleText = 'Top 10 Most Populous Countries';
const xAxisLabelText = 'Population';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const xScale = scaleLinear()
  	.domain([0, max(data, d => d.neutral)])
    .range([0, width]);
  
  const yScale = scaleBand()
  	.domain(data.map(d => d.emoji))
  	.range([0,height]);

   
  svg.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('y', d => yScale(d.emoji))
  		.attr('width', d => xScale(d.neutral))
  		.attr('height', yScale.bandwidth())
}
  
csv('data.csv').then(data => {
  data.forEach(d => {
    d.neutral =+ d.neutral;
  });
  render(data);
});